# SoPackedColor Class Reference
[Nodes]

`#include <Inventor/nodes/SoPackedColor.h>`

Inheritance diagram for SoPackedColor:

List of all members.

## Detailed Description

The SoPackedColor class is a node for setting diffuse and transparency material values.

This node provides a convenient way of setting diffuse colors and transparency values with packed 32-bit RGBA vectors.

See also:
  SoBaseColor

## Public Member Functions

| SoPackedColor (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
SbBool | isTransparent (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFUInt32 | orderedRGBA

## Protected Member Functions

virtual | ~SoPackedColor ()
virtual void | notify (SoNotList *list)

## Constructor & Destructor Documentation

SoPackedColor::SoPackedColor | ( | void |  | ) |

| Constructor.

SoPackedColor::~SoPackedColor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoPackedColor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoPackedColor::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoPackedColor::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoPackedColor::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

SbBool SoPackedColor::isTransparent | ( | void |  | ) |

| Returns `TRUE` if there is at least one RGBA vector in the set which is not completely opaque.

void SoPackedColor::notify | ( | SoNotList * | list | ) | `[protected, virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoNode.

## Member Data Documentation

SoMFUInt32 SoPackedColor::orderedRGBA

| Set of packed 32-bit RGBA vectors. The most significant 24 bits specifies 8 bits each for the red, green and blue components. The least significant 8 bits specifies the transparency value, where 0x00 means completely transparent, and 0xff completely opaque.

The documentation for this class was generated from the following files:

- SoPackedColor.h
- SoPackedColor.cpp